// Programa GravimetricPujada per mesurar els temsps de tall durant el lliscament cap amunt
// License: GNU GPL v3 http://www.gnu.org/copyleft/gpl.html 
int pinFTIR1 = 0; // selecciona el pin d'entrada per al sensor de llum SUPERIOR
int valFTIR1 = 0; // variable per emmagatzemar el valor capturat des del FTIR
int pinFTIR2 = 1; // selecciona el pin d'entrada per al sensor de llum MIG
int valFTIR2 = 0; // variable per emmagatzemar el valor capturat des del FTIR
int pinFTIR3 = 2; // selecciona el pin d'entrada per al sensor de llum INFERIOR
int valFTIR3 = 0; // variable per emmagatzemar el valor capturat des del FTIR
unsigned long tempsinicial; // Variable per emmagatzemar el temps inicial en microsegons
unsigned long tempsmig; // Variable per emmagatzemar el temps mig en microsegons
unsigned long tempsfinal; // Variable per emmagatzemar el temps final en microsegons
                
int contador1=0;// Contador de feixos tallats sensor a0
int contador2=0;// Contador de feixos tallats sensor a1
int contador3=0;// Contador de feixos tallats sensor a2
                      
void setup() {
Serial.begin(9600); // Inicialitza el monitor serie per enviar-hi dades
pinMode(pinFTIR1, INPUT); // declara el FotoTransistor IR com entrada
pinMode(pinFTIR2, INPUT); // declara el FotoTransistor IR com entrada
pinMode(pinFTIR3, INPUT); // declara el FotoTransistor IR com entrada
	     }
	
void loop() { // Aquest és el començament d'un cicle infinit
tempsfinal = micros();//activem temps 3
tempsmig = micros();//activem temps 2
tempsinicial = micros();//activem temps 1
                         
//SENSOR A2 INFERIOR
valFTIR3 = analogRead(pinFTIR3); // llegeix i asigna a "valFTIR" un valor entre 0 i 1023
if(valFTIR3<1){  //Si el valor llegit es menor que un s'executen les instrucions de baix
tempsfinal = micros();
Serial.print("Feix TALLAT SENSOR 3 valor="); //Imprimeix el retol
Serial.println(valFTIR3); //Imprimeix la dada val i retorna final de línia
Serial.print("Temps final("); //Imprimeix el retol
Serial.print(contador3); //Imprimeix el cicle
Serial.print(")="); //Imprimeix el retol
Serial.println(tempsfinal); //Imprimeix la dada val i retorna final de línia
//Augmentem el nombre de cicles
contador3=contador3+1;
		}
            
//SENSOR A1 MIG
valFTIR2 = analogRead(pinFTIR2); // llegeix i asigna a "valFTIR" un valor entre 0 i 1023
if(valFTIR2<1){  //Si el valor llegit es menor que un s'executen les instrucions de baix
tempsmig = micros();
Serial.print("Feix TALLAT EN SENSOR 2 valor="); //Imprimeix el retol
Serial.println(valFTIR2); //Imprimeix la dada val i retorna final de línia
Serial.print("Temps mig("); //Imprimeix el retol
Serial.print(contador2); //Imprimeix el cicle
Serial.print(")="); //Imprimeix el retol
Serial.println(tempsmig); //Imprimeix la dada val i retorna final de línia
//Augmentem el nombre de cicles
contador2=contador2+1;
		}
                  
//SENSOR A0 SUPERIOR
valFTIR1 = analogRead(pinFTIR1); // llegeix i asigna a "valFTIR" un valor entre 0 i 1023
if(valFTIR1<1){  //Si el valor llegit es menor que un s'executen les instrucions de baix
tempsinicial = micros();
Serial.print("Feix de llum TALLAT EN SENSOR 1 AMB VALOR="); //Imprimeix el retol
Serial.println(valFTIR1); //Imprimeix la dada val i retorna final de línia
Serial.print("Temps inicial("); //Imprimeix el retol
Serial.print(contador1); //Imprimeix el cicle
Serial.print(")="); //Imprimeix el retol
Serial.println(tempsinicial); //Imprimeix la dada val i retorna final de línia
//Augmentem el nombre de cicles                    
contador1=contador1+1;
		}
		        
//Comprovem si ja ha acabat de pujar el projectil 
if((contador1)==1){
delay(60000); //Esperat 60 segons 
                       
                   }
			
} //Aquest és el final del cicle void loop

